CNaughtCNaught
PricingSign In

Get Order By Id

Returns information about an order

GET/orders/{id}

Authorizations#

Authorization

string

header

required

Bearer authentication header of the form Bearer <token>, where <token> is your CNaught API key.

Headers#

X-Subaccount-Id

string

If present, will only retrieve the order if it belongs to the subaccount with given id.

Path Parameters#

id

string

required

ID of order to return

Response#

200

Order Details

Create Carbon Credits Order for Vehicle Ride

Get Order By Id

curl --request GET \
  --url https://api.cnaught.com/v1/orders/<id> \
  --header 'Authorization: Bearer <token>'
{
  "id": "Gre28Fc35bt3",
  "order_number": "47726-53238-46633-33562-7433",
  "created_on": "2022-08-01T18:00:00.000000Z",
  "metadata": "Customer metadata",
  "description": "On behalf of Jane Smith",
  "amount_kg": 10.5,
  "state": "placed",
  "price_usd_cents": 2350
}